package java.awt.datatransfer;

public class DataFlavor {
   static Class ioInputStreamClass;
   public static final DataFlavor stringFlavor;
   public static final DataFlavor plainTextFlavor;
   static final String serializedObjectMimeType = "application/x-java-serialized-object";
   int atom;
   private String mimeType;
   private String humanPresentableName;
   private Class representationClass;
   // $FF: synthetic field
   static Class class$java$io$InputStream;
   // $FF: synthetic field
   static Class class$java$lang$String;

   private static DataFlavor createConstant(Class var0, String var1) {
      try {
         return new DataFlavor(var0, var1);
      } catch (Exception var2) {
         return null;
      }
   }

   private static DataFlavor createConstant(String var0, String var1) {
      try {
         return new DataFlavor(var0, var1);
      } catch (Exception var2) {
         return null;
      }
   }

   public DataFlavor(Class var1, String var2) {
      this.mimeType = "application/x-java-serialized-object";
      this.representationClass = var1;
      this.humanPresentableName = var2;
   }

   public DataFlavor(String var1, String var2) {
      this.mimeType = var1;
      this.representationClass = ioInputStreamClass;
      this.humanPresentableName = var2;
   }

   public String getMimeType() {
      return this.mimeType;
   }

   public Class getRepresentationClass() {
      return this.representationClass;
   }

   public String getHumanPresentableName() {
      return this.humanPresentableName;
   }

   public void setHumanPresentableName(String var1) {
   }

   public boolean equals(DataFlavor var1) {
      return this.isMimeTypeEqual(var1) && var1.getRepresentationClass() == this.representationClass;
   }

   public boolean isMimeTypeEqual(String var1) {
      return var1.equals(this.mimeType);
   }

   public final boolean isMimeTypeEqual(DataFlavor var1) {
      return this.isMimeTypeEqual(var1.getMimeType());
   }

   protected String normalizeMimeTypeParameter(String var1, String var2) {
      return var1 + "=" + var2;
   }

   protected String normalizeMimeType(String var1) {
      return var1;
   }

   // $FF: synthetic method
   static Class class$(String var0) {
      try {
         return Class.forName(var0);
      } catch (ClassNotFoundException var2) {
         throw new NoClassDefFoundError(((Throwable)var2).getMessage());
      }
   }

   static {
      ioInputStreamClass = class$java$io$InputStream != null ? class$java$io$InputStream : (class$java$io$InputStream = class$("java.io.InputStream"));
      stringFlavor = createConstant(class$java$lang$String != null ? class$java$lang$String : (class$java$lang$String = class$("java.lang.String")), "Unicode String");
      plainTextFlavor = createConstant("text/plain;charset=unicode", "Plain Text");
   }
}
